Subject: Machinery's Handbook 23

From: [email-masked] (william thomas powers)
Date: 28 Nov 1994 21:28:05 -0500

My wife just bought me a copy of Machinery's Handbook 23rd Edition
at the library booksale. It's in unused condition and she was a bit
worried that she had spent too much for it; it was US $5....

(she's mine!!!!! and likes pattern welded knives as well...)

Thomas
Columbus, Ohio
USA